<?php
include("config.php");
error_reporting(0);
session_start();
if(!isset($_SESSION['user']) || !isset($_SESSION['pass'])){
	header("Location: login.php");
}else{
	$sql = "SELECT * FROM usuario WHERE usuario = '".$_SESSION['user']."' and clave = '".$_SESSION['pass']."' and estado ='1'";
	$result=mysqli_query($con,$sql);
	while ($fila =mysqli_fetch_assoc($result)) {
		$AccesoPermitido = "ok";
	}
	if ( $AccesoPermitido != "ok"){
		header("Location: login.php");
	}else{
		$id = $_POST['id'];
		$estado = $_POST['estado'];
		$id_v=filter_var_array($id, FILTER_SANITIZE_STRING);
		$estado_v=filter_var_array($estado, FILTER_SANITIZE_STRING);
		if($id_v && $estado_v){
			for ($i=0;$i<count($id_v);$i++) {
				$sql = "UPDATE noticias SET estado =".mysqli_real_escape_string($con,$estado_v[$i])." WHERE id=".mysqli_real_escape_string($con,$id_v[$i]);
				$result=mysqli_query($con,$sql);
			} 
			echo "Grabando...";
			?>
			<script type="text/javascript">
				window.location.href="noticias.php";
			</script>
			<?php
		}else{
			?>
			<script>
			window.location.href = "noticias.php";
			alert("Lo sentimos, los datos son íncompletos o son incorrectos");
			</script>
			<?php
		}
	}
}
?>
